Open CASCADE Technology: DsgPrs_XYZAxisPresentation Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Static Public Member Functions
DsgPrs_XYZAxisPresentation Class Reference

A framework for displaying the axes of an XYZ trihedron. More...

`#include <DsgPrs_XYZAxisPresentation.hxx>`

## Static Public Member Functions
static void | Add (const Handle< Prs3d_Presentation > &aPresentation, const Handle< Prs3d_LineAspect > &anLineAspect, const gp_Dir &aDir, const Standard_Real aVal, const Standard_CString aText, const gp_Pnt &aPfirst, const gp_Pnt &aPlast)
| Draws each axis of a trihedron displayed in the presentation aPresentation and with lines shown by the values of aLineAspect. Each axis is defined by: More...
static void | Add (const Handle< Prs3d_Presentation > &aPresentation, const Handle< Prs3d_LineAspect > &aLineAspect, const Handle< Prs3d_ArrowAspect > &anArrowAspect, const Handle< Prs3d_TextAspect > &aTextAspect, const gp_Dir &aDir, const Standard_Real aVal, const Standard_CString aText, const gp_Pnt &aPfirst, const gp_Pnt &aPlast)
| draws the presentation X ,Y ,Z axis More...

## Detailed Description

A framework for displaying the axes of an XYZ trihedron.

## Member Function Documentation

static void DsgPrs_XYZAxisPresentation::Add | ( | const Handle< Prs3d_Presentation > & | aPresentation,
|  | const Handle< Prs3d_LineAspect > & | anLineAspect,
|  | const gp_Dir & | aDir,
|  | const Standard_Real | aVal,
|  | const Standard_CString | aText,
|  | const gp_Pnt & | aPfirst,
|  | const gp_Pnt & | aPlast
| ) |  |
| static

Draws each axis of a trihedron displayed in the presentation aPresentation and with lines shown by the values of aLineAspect. Each axis is defined by:

- the first and last points aPfirst and aPlast
- the direction aDir and
- the value aVal which provides a value for length. The value for length is provided so that the trihedron can vary in length relative to the scale of shape display. Each axis will be identified as X, Y, or Z by the text aText.

static void DsgPrs_XYZAxisPresentation::Add | ( | const Handle< Prs3d_Presentation > & | aPresentation,
|  | const Handle< Prs3d_LineAspect > & | aLineAspect,
|  | const Handle< Prs3d_ArrowAspect > & | anArrowAspect,
|  | const Handle< Prs3d_TextAspect > & | aTextAspect,
|  | const gp_Dir & | aDir,
|  | const Standard_Real | aVal,
|  | const Standard_CString | aText,
|  | const gp_Pnt & | aPfirst,
|  | const gp_Pnt & | aPlast
| ) |  |
| static

draws the presentation X ,Y ,Z axis

The documentation for this class was generated from the following file:

- DsgPrs_XYZAxisPresentation.hxx